Package org.eclipse.net4j.util.ui.widgets

# Interface EntryField.ButtonAdvisor

All Superinterfaces:
  `Runnable`

Enclosing class:
  EntryField

public static interface EntryField.ButtonAdvisor extends Runnable

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default void`
`customize(ImageButton button)`
`default Image`
`getGrayImage()`
`Image`
`getHoverImage()`
`String`
`getToolTipText()`

### Methods inherited from interface java.lang.Runnable

`run`

## Method Details

### getToolTipText

String getToolTipText()

### getHoverImage

Image getHoverImage()

### getGrayImage

default Image getGrayImage()

### customize

default void customize(ImageButton button)